Home » MODDING HQ 1.13 » v1.13 Bug Reports » Need help with new error (Error help needed)
Need help with new error[message #354694] Wed, 05 September 2018 07:27 Go to next message
angryrotarian
Messages:1
Registered:September 2018
I'm running JA2 Gold v1.13 and have been running the game fine, excepting the occasional crash where frequent saves and a simple restart are a nominal hindrance. Today however, after one such restart I received a fatal error message.

File: ...\src\Core\vfs_init.cpp
Line: 323
Location: vfs_init::initVirtualFIleSystem

Could not initialize directory ["Data-1.13"] in : profile ["v1.13"], path ["Data-1.13"]

Before I go any further I should say that I'm not incredibly tech savvy, but not overly ignorant either. I can't code or anything, but can usually muddle my way to a solution for my purpose, as when I initially installed this game. At any rate, I looked in the game directory and noticed that there was no folder named "Data-1.13" so I made a copy of my data folder and updated the folder name and when I did that the game was able to run, but I noticed some differences. First, the mobile militia could no longer be called to assist my assault on Balime and some of the character voices seemed different. The game would also crash every time I attempted to attack a city. The map portion of the game worked fine though; it was only when I tried engaging in combat that I ran into issues.

This is really strange to me, as the game has worked fine for nearly a year now of playing off and on, but today I can't do anything and haven't changed anything. If anyone can offer some advice on this I would really appreciate it. Thanks.
Re: Need help with new error[message #354695 is a reply to message #354694] Wed, 05 September 2018 16:01 Go to previous messageGo to next message
edmortimer

 
Messages:1132
Registered:January 2015
Location: Home Free
Somehow your Data-1.13 directory was deleted. The Data directory is part of the vanilla game, and so does not have everything the Data-1.13 directory has. You will run into many more problems using that directory for your 1.13 game.

No telling what else has gone missing . . . so . . . my advice is to do a complete and clean install in a different directory, and then copy over your savegame and character files to the new install. If you changed any other files you'll need to copy them over also.

You will find your character files (your IMPs) in the ../Profiles/UserProfile_JA2113 folder.
You will find your savegame files in the ../Profiles/UserProfile_JA2113/SavedGames folder.

Alternately, you can simply reinstall into the same main game directory you have now.




Arulco Vacations Blog

Arulco Vacations Bears Pit Forum


Re: Need help with new error[message #355348 is a reply to message #354695] Tue, 16 October 2018 13:19 Go to previous messageGo to next message
3iff

 
Messages:63
Registered:July 2001
Location: Birmingham, UK
I'm having a couple of issues. V8626..

*** Mon Oct 15 20:24:11 2018 ***
[ 5I03K-W75IG-LHJHB-RXV87-VSITR ]

[1814.85] : ERROR : File : lua_state.cpp
Line : 112
Location : LuaState::EvalString
[string "scripts\Overhead.lua"]:1: unexpected symbol

[1814.85] : ERROR : File : LuaInitNPCs.cpp
Line : 2855
Location : LetLuaMyCustomHandleAtNewGridNo
Cannot open file: scripts\Overhead.lua

Odd random crashes as above, when the enemy are moving in tactical combat. The scripts/Overhead.lua file does exist and is fine. The whole scripts folder is exactly as the 8626 SCI release.

This does not seem to happen in v8609.

------

JA2 V8609 vehicle bug

A problem that has occurred for a while (lots of earlier versions) but I think I now know what is happening.

I have added an extra vehicle (a jeep). Normally if items are in the jeep then will be repaired as if they're on a person. This also applies to the second vehicle I obtain (either the truck or the hummer). BUT, any vehicles I obtain after the first 2 will not be recognised as an entity to allow repairs. In most games, I get the hummer last and I've never been able to get items in that vehicle to repair. In my current game, I found the truck last, and now items in the truck aren't seen by repairers...but the hummer does now enable repairers to fix items stored in the hummer.

So it seems that the first 2 vehicles act as 'persons' for the purpose of repairing stuff they contain but the third (or later) vehicle is not recognised as an entity that can have stored items repaired.

I would presume that this is unintended behaviour?

(Rats, I put this in the wrong thread...meant to be in the general bugs thread! Sorry)

[Updated on: Tue, 16 October 2018 13:24]

Re: Need help with new error[message #355349 is a reply to message #355348] Tue, 16 October 2018 13:29 Go to previous messageGo to next message
sevenfm

 
Messages:1786
Registered:December 2012
Location: Soviet Russia
3iff wrote on Tue, 16 October 2018 15:19
JA2 V8609 vehicle bug

A problem that has occurred for a while (lots of earlier versions) but I think I now know what is happening.

I have added an extra vehicle (a jeep). Normally if items are in the jeep then will be repaired as if they're on a person. This also applies to the second vehicle I obtain (either the truck or the hummer). BUT, any vehicles I obtain after the first 2 will not be recognised as an entity to allow repairs. In most games, I get the hummer last and I've never been able to get items in that vehicle to repair. In my current game, I found the truck last, and now items in the truck aren't seen by repairers...but the hummer does now enable repairers to fix items stored in the hummer.

So it seems that the first 2 vehicles act as 'persons' for the purpose of repairing stuff they contain but the third (or later) vehicle is not recognised as an entity that can have stored items repaired.

I would presume that this is unintended behaviour?

(Rats, I put this in the wrong thread...meant to be in the general bugs thread! Sorry)


Maybe it's because of bLastID bug described here:
http://thepit.ja-galaxy-forum.com/index.php?t=msg&th=12557&goto=353872&#msg_353872



7609+fix | 7609+AI (r922) | 7609 unofficial modpack | Win8+ fix | Experimental project | Vengeance:Reloaded | Youtube

"It's already "dog-eat-dog", friend. Not sure what worse a bunch of zombies could do."


Re: Need help with new error[message #355350 is a reply to message #355349] Tue, 16 October 2018 15:00 Go to previous messageGo to next message
silversurfer

 
Messages:2472
Registered:May 2009
Thank you, Sevenfm. There were quite a number of functions that ignored the last member of a team. Fixed in r8629.



Wildfire Maps Mod 6.07 on SVN: https://ja2svn.mooo.com/source/ja2/branches/Wanne/JA2%201.13%20Wildfire%206.06%20-%20Maps%20MOD

Re: Need help with new error[message #355355 is a reply to message #355350] Thu, 18 October 2018 12:11 Go to previous message
3iff

 
Messages:63
Registered:July 2001
Location: Birmingham, UK
Thanks Sevenfm and silversurfer. I've been confused about that bug for ages (even whether it was a bug or not).

As for the scripts/Overhead.lua issue. I suspect it's actually due to a rapidly ailing PC. I've tried JA2 on a W10 laptop and so far it's been faultless (which surprised me!).
Previous Topic: Hurl not Healing faster as Patient when MD Doctors
Next Topic: Missing Placeholder1.Dat
Goto Forum:
  


Current Time: Thu Dec 13 06:09:24 EET 2018

Total time taken to generate the page: 0.01010 seconds